Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.auth
Class BasicSchemeFactory

    java.lang.Object
      org.apache.http.impl.auth.BasicSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory

    @Immutable
    public class BasicSchemeFactory

extends Object
implements AuthSchemeFactory

`AuthSchemeFactory` implementation that creates and initializes `BasicScheme` instances.

Since:
  4.0

Constructor Summary
`BasicSchemeFactory()`

Method Summary
`AuthScheme` | `newInstance(HttpParams params)` Creates an instance of `AuthScheme` using given HTTP parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSchemeFactory

    public BasicSchemeFactory()

Method Detail

### newInstance

    public AuthScheme newInstance(HttpParams params)

  Description copied from interface: `AuthSchemeFactory`
  Creates an instance of `AuthScheme` using given HTTP parameters.

  Specified by:
    `newInstance` in interface `AuthSchemeFactory`
  Parameters:
    `params` - HTTP parameters.
  Returns:
    auth scheme.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.